Cyberduck Mountain Duck CLI

#10681 closed enhancement (fixed)

Amazon S3 Glacier Deep Archive storage class

Reported by: FunnyLip Owned by: dkocher
Priority: normal Milestone: 7.3.1
Component: s3 Version: 7.8.5
Severity: normal Keywords: aws, s3, gda
Cc: iulian_ionitaro@yahoo.com Architecture:
Platform:

Description

With AWS GDA now out and usable, it would be lovely to be able to directly access it.

Change History (8)

comment:1 Changed on Sep 13, 2019 at 9:24:31 PM by sirgatez

Not only is Glacier Deep Archive supported, you can not PUT directly to Glacier and Glacier Deep Archive within the PUT request. Could we get an update to support this functionality? Thanks :-)

It would also be nice to make sure any objects required to use Cryptomator to browse a vault, should obviously not be pushed to this storage layer unless a user explicitly requests to do so. It's understandable if I need to wait to restore an object before I can get it from the vault.

https://aws.amazon.com/about-aws/whats-new/2018/11/s3-glacier-api-simplification/

Last edited on Sep 13, 2019 at 9:24:49 PM by sirgatez (previous) (diff)

comment:2 Changed on Mar 18, 2020 at 2:00:15 AM by Julica

  • Cc iulian_ionitaro@yahoo.com added

I think it would be great at least to push to both Glacier and GDA directly as we understand there is a long restore time from Glacier.

comment:3 Changed on Apr 21, 2020 at 7:51:17 AM by dkocher

  • Milestone set to 7.3.1
  • Owner set to dkocher
  • Status changed from new to assigned

comment:4 Changed on Apr 21, 2020 at 11:38:09 AM by dkocher

Added Glacier Deep Archive storage class in r49054.

comment:5 Changed on Apr 21, 2020 at 11:38:25 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Allow selection of Glacier storage class as default for uploads in r49056.

comment:6 follow-up: Changed on Apr 26, 2021 at 8:15:53 AM by claudes

  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from 6.9.4 to 7.8.5

This is not working fully for me on 7.8.5 on Mac - if I drag from a "localhost" pane in CyberDuck to an S3 pane, it gets saved to normal S3, not Glacier.

I've set Preferences > S3 > Default Storage Class to "Glacier Deep Archive".

If I drag a file/folder from a CyberDuck local pane to my CyberDuck S3 bucket pane, it gets saved as the Regular Amazon S3 Storage class (confirmed in S3 web console).

If I drag a file/folder from my Mac's Finder, directly into CyberDuck's S3 window, the file gets saved correctly to Glacier Deep Archive.

Last edited on Apr 27, 2021 at 12:52:41 AM by claudes (previous) (diff)

comment:7 in reply to: ↑ 6 ; follow-up: Changed on Apr 29, 2021 at 9:45:23 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to claudes:

This is not working fully for me on 7.8.5 on Mac - if I drag from a "localhost" pane in CyberDuck to an S3 pane, it gets saved to normal S3, not Glacier.

I've set Preferences > S3 > Default Storage Class to "Glacier Deep Archive".

If I drag a file/folder from a CyberDuck local pane to my CyberDuck S3 bucket pane, it gets saved as the Regular Amazon S3 Storage class (confirmed in S3 web console).

If I drag a file/folder from my Mac's Finder, directly into CyberDuck's S3 window, the file gets saved correctly to Glacier Deep Archive.

When dragging from a local disk browser window we do not properly set all attributes for the copy transfer. We will fix this in a separate issue.

comment:8 in reply to: ↑ 7 Changed on May 5, 2021 at 11:39:30 AM by dkocher

Replying to dkocher:

Replying to claudes:

This is not working fully for me on 7.8.5 on Mac - if I drag from a "localhost" pane in CyberDuck to an S3 pane, it gets saved to normal S3, not Glacier.

I've set Preferences > S3 > Default Storage Class to "Glacier Deep Archive".

If I drag a file/folder from a CyberDuck local pane to my CyberDuck S3 bucket pane, it gets saved as the Regular Amazon S3 Storage class (confirmed in S3 web console).

If I drag a file/folder from my Mac's Finder, directly into CyberDuck's S3 window, the file gets saved correctly to Glacier Deep Archive.

When dragging from a local disk browser window we do not properly set all attributes for the copy transfer. We will fix this in a separate issue.

In r51228.

Note: See TracTickets for help on using tickets.